summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Eugene M <damagedone@gmx.com>2014-08-04 21:02:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-04 21:02:10 +0700
commit75a9a8d2e3d52c9c90d952de8e30956c27cbea16 (patch)
tree2899e1a27411432139adfacc81e18eaada8f7741 /system
parentdaa4146dca987630789209fe7af1d3ee147be5df (diff)
downloadslackbuilds-75a9a8d2e3d52c9c90d952de8e30956c27cbea16.tar.gz
slackbuilds-75a9a8d2e3d52c9c90d952de8e30956c27cbea16.tar.xz
system/AnonymousPro: Added (font for coders).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/AnonymousPro/AnonymousPro.SlackBuild67
-rw-r--r--system/AnonymousPro/AnonymousPro.info10
-rw-r--r--system/AnonymousPro/README18
-rw-r--r--system/AnonymousPro/doinst.sh10
-rw-r--r--system/AnonymousPro/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/system/AnonymousPro/AnonymousPro.SlackBuild b/system/AnonymousPro/AnonymousPro.SlackBuild
new file mode 100644
index 0000000000..e8fd4e6b11
--- /dev/null
+++ b/system/AnonymousPro/AnonymousPro.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for AnonymousPro
+
+# Copyright 2014 Eugene M., Tyumen, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=AnonymousPro
+VERSION=${VERSION:-1.002}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+# Fix errors
+mv -f $PRGNAM-$VERSION.001 $PRGNAM-$VERSION
+rm ._AnonymousPro-1.002.001
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a *.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a FONTLOG.txt OFL-FAQ.txt OFL.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/AnonymousPro/AnonymousPro.info b/system/AnonymousPro/AnonymousPro.info
new file mode 100644
index 0000000000..d76ba7749e
--- /dev/null
+++ b/system/AnonymousPro/AnonymousPro.info
@@ -0,0 +1,10 @@
+PRGNAM="AnonymousPro"
+VERSION="1.002"
+HOMEPAGE="http://www.marksimonson.com/fonts/view/anonymous-pro"
+DOWNLOAD="http://www.marksimonson.com/assets/content/fonts/AnonymousPro-1.002.zip"
+MD5SUM="bb5141b20b9d69b3190be03e5706c8b7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugene M."
+EMAIL="damagedone@gmx.com"
diff --git a/system/AnonymousPro/README b/system/AnonymousPro/README
new file mode 100644
index 0000000000..babdf24206
--- /dev/null
+++ b/system/AnonymousPro/README
@@ -0,0 +1,18 @@
+Anonymous Pro (2009) is a family of four fixed-width fonts designed with coding
+in mind. Anonymous Pro features an international, Unicode-based character set,
+with support for most Western and Central European Latin-based languages, plus
+Greek and Cyrillic.
+
+Features:
+
+- Four styles: Regular, Italic, Bold, and Bold Italic;
+- Fixed width design;
+- Various computer keyboard symbols;
+- DOS box-drawing characters;
+- Extended language support for most Latin-based Western and Central European
+ languages, as well as Greek and Cyrillic.
+
+There are two versions: Anonymous Pro and Anonymous Pro Minus. Anonymous Pro
+contains embedded bitmaps for smaller sizes, Anonymous Pro Minus does not.
+
+This package contain only Anonymous Pro version.
diff --git a/system/AnonymousPro/doinst.sh b/system/AnonymousPro/doinst.sh
new file mode 100644
index 0000000000..883c47ac0a
--- /dev/null
+++ b/system/AnonymousPro/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/AnonymousPro/slack-desc b/system/AnonymousPro/slack-desc
new file mode 100644
index 0000000000..998fedc2cd
--- /dev/null
+++ b/system/AnonymousPro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+AnonymousPro: AnonymousPro (font for coders)
+AnonymousPro:
+AnonymousPro: Anonymous Pro is a family of four fixed-width fonts designed
+AnonymousPro: with coding in mind. Anonymous Pro features an international,
+AnonymousPro: Unicode-based character set, with support for most Western and
+AnonymousPro: Central European Latin-based languages, plus Greek and Cyrillic.
+AnonymousPro:
+AnonymousPro:
+AnonymousPro:
+AnonymousPro: Homepage: http://marksimonson.com/fonts/view/anonymous-pro
+AnonymousPro: